Imports System.Windows.Forms
Imports System.Xml

Public Class DlgMain : Inherits Form

    Private _PatronFont As Font
    Private _SuspendChange As Boolean

    Shared Sub Main()
        Application.EnableVisualStyles()
        Application.DoEvents()
        Application.Run(New DlgMain)
    End Sub

#Region " Code gnr par le Concepteur Windows Form "

    Public Sub New()
        MyBase.New()

        'Cet appel est requis par le Concepteur Windows Form.
        InitializeComponent()

        'Ajoutez une initialisation quelconque aprs l'appel InitializeComponent()

    End Sub

    'La mthode substitue Dispose du formulaire pour nettoyer la liste des composants.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Requis par le Concepteur Windows Form
    Private components As System.ComponentModel.IContainer

    'REMARQUE: la procdure suivante est requise par le Concepteur Windows Form
    'Elle peut tre modifie en utilisant le Concepteur Windows Form.  
    'Ne la modifiez pas en utilisant l'diteur de code.
    Friend WithEvents TbcChars As System.Windows.Forms.TabControl
    Friend WithEvents TabChart As System.Windows.Forms.TabPage
    Friend WithEvents TabDetails As System.Windows.Forms.TabPage
    Friend WithEvents CharChart As UniChart.CharChart
    Friend WithEvents GrbSelected As System.Windows.Forms.GroupBox
    Friend WithEvents TxtChars As System.Windows.Forms.TextBox
    Friend WithEvents BttClipboard As System.Windows.Forms.Button
    Friend WithEvents BttFont As System.Windows.Forms.Button
    Friend WithEvents FntDialog As System.Windows.Forms.FontDialog
    Friend WithEvents CmbFonts As System.Windows.Forms.ComboBox
    Friend WithEvents Status As System.Windows.Forms.StatusBar
    Friend WithEvents GrbJump As System.Windows.Forms.GroupBox
    Friend WithEvents TxtJump As System.Windows.Forms.TextBox
    Friend WithEvents RadHex As System.Windows.Forms.RadioButton
    Friend WithEvents RadDec As System.Windows.Forms.RadioButton
    Friend WithEvents LstBlocks As System.Windows.Forms.ListBox
    Friend WithEvents ToolTips As System.Windows.Forms.ToolTip
    Friend WithEvents LblDescription As System.Windows.Forms.Label
    Friend WithEvents LnkHTML As System.Windows.Forms.LinkLabel
    Friend WithEvents LnkCharCode As System.Windows.Forms.LinkLabel
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(DlgMain))
        Me.TbcChars = New System.Windows.Forms.TabControl
        Me.TabChart = New System.Windows.Forms.TabPage
        Me.CharChart = New UniChart.CharChart
        Me.TabDetails = New System.Windows.Forms.TabPage
        Me.LnkCharCode = New System.Windows.Forms.LinkLabel
        Me.LnkHTML = New System.Windows.Forms.LinkLabel
        Me.LblDescription = New System.Windows.Forms.Label
        Me.CmbFonts = New System.Windows.Forms.ComboBox
        Me.GrbSelected = New System.Windows.Forms.GroupBox
        Me.BttClipboard = New System.Windows.Forms.Button
        Me.TxtChars = New System.Windows.Forms.TextBox
        Me.BttFont = New System.Windows.Forms.Button
        Me.FntDialog = New System.Windows.Forms.FontDialog
        Me.Status = New System.Windows.Forms.StatusBar
        Me.GrbJump = New System.Windows.Forms.GroupBox
        Me.RadDec = New System.Windows.Forms.RadioButton
        Me.RadHex = New System.Windows.Forms.RadioButton
        Me.TxtJump = New System.Windows.Forms.TextBox
        Me.LstBlocks = New System.Windows.Forms.ListBox
        Me.ToolTips = New System.Windows.Forms.ToolTip(Me.components)
        Me.TbcChars.SuspendLayout()
        Me.TabChart.SuspendLayout()
        Me.TabDetails.SuspendLayout()
        Me.GrbSelected.SuspendLayout()
        Me.GrbJump.SuspendLayout()
        Me.SuspendLayout()
        '
        'TbcChars
        '
        Me.TbcChars.AccessibleDescription = resources.GetString("TbcChars.AccessibleDescription")
        Me.TbcChars.AccessibleName = resources.GetString("TbcChars.AccessibleName")
        Me.TbcChars.Alignment = CType(resources.GetObject("TbcChars.Alignment"), System.Windows.Forms.TabAlignment)
        Me.TbcChars.Anchor = CType(resources.GetObject("TbcChars.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.TbcChars.Appearance = CType(resources.GetObject("TbcChars.Appearance"), System.Windows.Forms.TabAppearance)
        Me.TbcChars.BackgroundImage = CType(resources.GetObject("TbcChars.BackgroundImage"), System.Drawing.Image)
        Me.TbcChars.Controls.Add(Me.TabChart)
        Me.TbcChars.Controls.Add(Me.TabDetails)
        Me.TbcChars.Dock = CType(resources.GetObject("TbcChars.Dock"), System.Windows.Forms.DockStyle)
        Me.TbcChars.Enabled = CType(resources.GetObject("TbcChars.Enabled"), Boolean)
        Me.TbcChars.Font = CType(resources.GetObject("TbcChars.Font"), System.Drawing.Font)
        Me.TbcChars.ImeMode = CType(resources.GetObject("TbcChars.ImeMode"), System.Windows.Forms.ImeMode)
        Me.TbcChars.ItemSize = CType(resources.GetObject("TbcChars.ItemSize"), System.Drawing.Size)
        Me.TbcChars.Location = CType(resources.GetObject("TbcChars.Location"), System.Drawing.Point)
        Me.TbcChars.Name = "TbcChars"
        Me.TbcChars.Padding = CType(resources.GetObject("TbcChars.Padding"), System.Drawing.Point)
        Me.TbcChars.RightToLeft = CType(resources.GetObject("TbcChars.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.TbcChars.SelectedIndex = 0
        Me.TbcChars.ShowToolTips = CType(resources.GetObject("TbcChars.ShowToolTips"), Boolean)
        Me.TbcChars.Size = CType(resources.GetObject("TbcChars.Size"), System.Drawing.Size)
        Me.TbcChars.TabIndex = CType(resources.GetObject("TbcChars.TabIndex"), Integer)
        Me.TbcChars.Text = resources.GetString("TbcChars.Text")
        Me.ToolTips.SetToolTip(Me.TbcChars, resources.GetString("TbcChars.ToolTip"))
        Me.TbcChars.Visible = CType(resources.GetObject("TbcChars.Visible"), Boolean)
        '
        'TabChart
        '
        Me.TabChart.AccessibleDescription = resources.GetString("TabChart.AccessibleDescription")
        Me.TabChart.AccessibleName = resources.GetString("TabChart.AccessibleName")
        Me.TabChart.Anchor = CType(resources.GetObject("TabChart.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.TabChart.AutoScroll = CType(resources.GetObject("TabChart.AutoScroll"), Boolean)
        Me.TabChart.AutoScrollMargin = CType(resources.GetObject("TabChart.AutoScrollMargin"), System.Drawing.Size)
        Me.TabChart.AutoScrollMinSize = CType(resources.GetObject("TabChart.AutoScrollMinSize"), System.Drawing.Size)
        Me.TabChart.BackgroundImage = CType(resources.GetObject("TabChart.BackgroundImage"), System.Drawing.Image)
        Me.TabChart.Controls.Add(Me.CharChart)
        Me.TabChart.Dock = CType(resources.GetObject("TabChart.Dock"), System.Windows.Forms.DockStyle)
        Me.TabChart.Enabled = CType(resources.GetObject("TabChart.Enabled"), Boolean)
        Me.TabChart.Font = CType(resources.GetObject("TabChart.Font"), System.Drawing.Font)
        Me.TabChart.ImageIndex = CType(resources.GetObject("TabChart.ImageIndex"), Integer)
        Me.TabChart.ImeMode = CType(resources.GetObject("TabChart.ImeMode"), System.Windows.Forms.ImeMode)
        Me.TabChart.Location = CType(resources.GetObject("TabChart.Location"), System.Drawing.Point)
        Me.TabChart.Name = "TabChart"
        Me.TabChart.RightToLeft = CType(resources.GetObject("TabChart.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.TabChart.Size = CType(resources.GetObject("TabChart.Size"), System.Drawing.Size)
        Me.TabChart.TabIndex = CType(resources.GetObject("TabChart.TabIndex"), Integer)
        Me.TabChart.Text = resources.GetString("TabChart.Text")
        Me.ToolTips.SetToolTip(Me.TabChart, resources.GetString("TabChart.ToolTip"))
        Me.TabChart.ToolTipText = resources.GetString("TabChart.ToolTipText")
        Me.TabChart.Visible = CType(resources.GetObject("TabChart.Visible"), Boolean)
        '
        'CharChart
        '
        Me.CharChart.AccessibleDescription = resources.GetString("CharChart.AccessibleDescription")
        Me.CharChart.AccessibleName = resources.GetString("CharChart.AccessibleName")
        Me.CharChart.Anchor = CType(resources.GetObject("CharChart.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.CharChart.AutoScroll = CType(resources.GetObject("CharChart.AutoScroll"), Boolean)
        Me.CharChart.AutoScrollMargin = CType(resources.GetObject("CharChart.AutoScrollMargin"), System.Drawing.Size)
        Me.CharChart.AutoScrollMinSize = CType(resources.GetObject("CharChart.AutoScrollMinSize"), System.Drawing.Size)
        Me.CharChart.BackgroundImage = CType(resources.GetObject("CharChart.BackgroundImage"), System.Drawing.Image)
        Me.CharChart.Columns = 10
        Me.CharChart.Dock = CType(resources.GetObject("CharChart.Dock"), System.Windows.Forms.DockStyle)
        Me.CharChart.Enabled = CType(resources.GetObject("CharChart.Enabled"), Boolean)
        Me.CharChart.Font = CType(resources.GetObject("CharChart.Font"), System.Drawing.Font)
        Me.CharChart.ForeColor = System.Drawing.SystemColors.ControlText
        Me.CharChart.GridColor = System.Drawing.Color.DarkGray
        Me.CharChart.GridHighlightColor = System.Drawing.Color.Black
        Me.CharChart.HighlightBackColor = System.Drawing.Color.DarkGray
        Me.CharChart.ImeMode = CType(resources.GetObject("CharChart.ImeMode"), System.Windows.Forms.ImeMode)
        Me.CharChart.Location = CType(resources.GetObject("CharChart.Location"), System.Drawing.Point)
        Me.CharChart.Name = "CharChart"
        Me.CharChart.RightToLeft = CType(resources.GetObject("CharChart.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.CharChart.SelChar = Microsoft.VisualBasic.ChrW(33)
        Me.CharChart.Size = CType(resources.GetObject("CharChart.Size"), System.Drawing.Size)
        Me.CharChart.TabIndex = CType(resources.GetObject("CharChart.TabIndex"), Integer)
        Me.ToolTips.SetToolTip(Me.CharChart, resources.GetString("CharChart.ToolTip"))
        Me.CharChart.Visible = CType(resources.GetObject("CharChart.Visible"), Boolean)
        '
        'TabDetails
        '
        Me.TabDetails.AccessibleDescription = resources.GetString("TabDetails.AccessibleDescription")
        Me.TabDetails.AccessibleName = resources.GetString("TabDetails.AccessibleName")
        Me.TabDetails.Anchor = CType(resources.GetObject("TabDetails.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.TabDetails.AutoScroll = CType(resources.GetObject("TabDetails.AutoScroll"), Boolean)
        Me.TabDetails.AutoScrollMargin = CType(resources.GetObject("TabDetails.AutoScrollMargin"), System.Drawing.Size)
        Me.TabDetails.AutoScrollMinSize = CType(resources.GetObject("TabDetails.AutoScrollMinSize"), System.Drawing.Size)
        Me.TabDetails.BackgroundImage = CType(resources.GetObject("TabDetails.BackgroundImage"), System.Drawing.Image)
        Me.TabDetails.Controls.Add(Me.LnkCharCode)
        Me.TabDetails.Controls.Add(Me.LnkHTML)
        Me.TabDetails.Controls.Add(Me.LblDescription)
        Me.TabDetails.Dock = CType(resources.GetObject("TabDetails.Dock"), System.Windows.Forms.DockStyle)
        Me.TabDetails.Enabled = CType(resources.GetObject("TabDetails.Enabled"), Boolean)
        Me.TabDetails.Font = CType(resources.GetObject("TabDetails.Font"), System.Drawing.Font)
        Me.TabDetails.ImageIndex = CType(resources.GetObject("TabDetails.ImageIndex"), Integer)
        Me.TabDetails.ImeMode = CType(resources.GetObject("TabDetails.ImeMode"), System.Windows.Forms.ImeMode)
        Me.TabDetails.Location = CType(resources.GetObject("TabDetails.Location"), System.Drawing.Point)
        Me.TabDetails.Name = "TabDetails"
        Me.TabDetails.RightToLeft = CType(resources.GetObject("TabDetails.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.TabDetails.Size = CType(resources.GetObject("TabDetails.Size"), System.Drawing.Size)
        Me.TabDetails.TabIndex = CType(resources.GetObject("TabDetails.TabIndex"), Integer)
        Me.TabDetails.Text = resources.GetString("TabDetails.Text")
        Me.ToolTips.SetToolTip(Me.TabDetails, resources.GetString("TabDetails.ToolTip"))
        Me.TabDetails.ToolTipText = resources.GetString("TabDetails.ToolTipText")
        Me.TabDetails.Visible = CType(resources.GetObject("TabDetails.Visible"), Boolean)
        '
        'LnkCharCode
        '
        Me.LnkCharCode.AccessibleDescription = resources.GetString("LnkCharCode.AccessibleDescription")
        Me.LnkCharCode.AccessibleName = resources.GetString("LnkCharCode.AccessibleName")
        Me.LnkCharCode.Anchor = CType(resources.GetObject("LnkCharCode.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.LnkCharCode.AutoSize = CType(resources.GetObject("LnkCharCode.AutoSize"), Boolean)
        Me.LnkCharCode.Dock = CType(resources.GetObject("LnkCharCode.Dock"), System.Windows.Forms.DockStyle)
        Me.LnkCharCode.Enabled = CType(resources.GetObject("LnkCharCode.Enabled"), Boolean)
        Me.LnkCharCode.Font = CType(resources.GetObject("LnkCharCode.Font"), System.Drawing.Font)
        Me.LnkCharCode.Image = CType(resources.GetObject("LnkCharCode.Image"), System.Drawing.Image)
        Me.LnkCharCode.ImageAlign = CType(resources.GetObject("LnkCharCode.ImageAlign"), System.Drawing.ContentAlignment)
        Me.LnkCharCode.ImageIndex = CType(resources.GetObject("LnkCharCode.ImageIndex"), Integer)
        Me.LnkCharCode.ImeMode = CType(resources.GetObject("LnkCharCode.ImeMode"), System.Windows.Forms.ImeMode)
        Me.LnkCharCode.LinkArea = CType(resources.GetObject("LnkCharCode.LinkArea"), System.Windows.Forms.LinkArea)
        Me.LnkCharCode.Location = CType(resources.GetObject("LnkCharCode.Location"), System.Drawing.Point)
        Me.LnkCharCode.Name = "LnkCharCode"
        Me.LnkCharCode.RightToLeft = CType(resources.GetObject("LnkCharCode.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.LnkCharCode.Size = CType(resources.GetObject("LnkCharCode.Size"), System.Drawing.Size)
        Me.LnkCharCode.TabIndex = CType(resources.GetObject("LnkCharCode.TabIndex"), Integer)
        Me.LnkCharCode.TabStop = True
        Me.LnkCharCode.Text = resources.GetString("LnkCharCode.Text")
        Me.LnkCharCode.TextAlign = CType(resources.GetObject("LnkCharCode.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.LnkCharCode, resources.GetString("LnkCharCode.ToolTip"))
        Me.LnkCharCode.Visible = CType(resources.GetObject("LnkCharCode.Visible"), Boolean)
        '
        'LnkHTML
        '
        Me.LnkHTML.AccessibleDescription = resources.GetString("LnkHTML.AccessibleDescription")
        Me.LnkHTML.AccessibleName = resources.GetString("LnkHTML.AccessibleName")
        Me.LnkHTML.Anchor = CType(resources.GetObject("LnkHTML.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.LnkHTML.AutoSize = CType(resources.GetObject("LnkHTML.AutoSize"), Boolean)
        Me.LnkHTML.Dock = CType(resources.GetObject("LnkHTML.Dock"), System.Windows.Forms.DockStyle)
        Me.LnkHTML.Enabled = CType(resources.GetObject("LnkHTML.Enabled"), Boolean)
        Me.LnkHTML.Font = CType(resources.GetObject("LnkHTML.Font"), System.Drawing.Font)
        Me.LnkHTML.Image = CType(resources.GetObject("LnkHTML.Image"), System.Drawing.Image)
        Me.LnkHTML.ImageAlign = CType(resources.GetObject("LnkHTML.ImageAlign"), System.Drawing.ContentAlignment)
        Me.LnkHTML.ImageIndex = CType(resources.GetObject("LnkHTML.ImageIndex"), Integer)
        Me.LnkHTML.ImeMode = CType(resources.GetObject("LnkHTML.ImeMode"), System.Windows.Forms.ImeMode)
        Me.LnkHTML.LinkArea = CType(resources.GetObject("LnkHTML.LinkArea"), System.Windows.Forms.LinkArea)
        Me.LnkHTML.Location = CType(resources.GetObject("LnkHTML.Location"), System.Drawing.Point)
        Me.LnkHTML.Name = "LnkHTML"
        Me.LnkHTML.RightToLeft = CType(resources.GetObject("LnkHTML.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.LnkHTML.Size = CType(resources.GetObject("LnkHTML.Size"), System.Drawing.Size)
        Me.LnkHTML.TabIndex = CType(resources.GetObject("LnkHTML.TabIndex"), Integer)
        Me.LnkHTML.TabStop = True
        Me.LnkHTML.Text = resources.GetString("LnkHTML.Text")
        Me.LnkHTML.TextAlign = CType(resources.GetObject("LnkHTML.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.LnkHTML, resources.GetString("LnkHTML.ToolTip"))
        Me.LnkHTML.UseMnemonic = False
        Me.LnkHTML.Visible = CType(resources.GetObject("LnkHTML.Visible"), Boolean)
        '
        'LblDescription
        '
        Me.LblDescription.AccessibleDescription = resources.GetString("LblDescription.AccessibleDescription")
        Me.LblDescription.AccessibleName = resources.GetString("LblDescription.AccessibleName")
        Me.LblDescription.Anchor = CType(resources.GetObject("LblDescription.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.LblDescription.AutoSize = CType(resources.GetObject("LblDescription.AutoSize"), Boolean)
        Me.LblDescription.Dock = CType(resources.GetObject("LblDescription.Dock"), System.Windows.Forms.DockStyle)
        Me.LblDescription.Enabled = CType(resources.GetObject("LblDescription.Enabled"), Boolean)
        Me.LblDescription.Font = CType(resources.GetObject("LblDescription.Font"), System.Drawing.Font)
        Me.LblDescription.Image = CType(resources.GetObject("LblDescription.Image"), System.Drawing.Image)
        Me.LblDescription.ImageAlign = CType(resources.GetObject("LblDescription.ImageAlign"), System.Drawing.ContentAlignment)
        Me.LblDescription.ImageIndex = CType(resources.GetObject("LblDescription.ImageIndex"), Integer)
        Me.LblDescription.ImeMode = CType(resources.GetObject("LblDescription.ImeMode"), System.Windows.Forms.ImeMode)
        Me.LblDescription.Location = CType(resources.GetObject("LblDescription.Location"), System.Drawing.Point)
        Me.LblDescription.Name = "LblDescription"
        Me.LblDescription.RightToLeft = CType(resources.GetObject("LblDescription.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.LblDescription.Size = CType(resources.GetObject("LblDescription.Size"), System.Drawing.Size)
        Me.LblDescription.TabIndex = CType(resources.GetObject("LblDescription.TabIndex"), Integer)
        Me.LblDescription.Text = resources.GetString("LblDescription.Text")
        Me.LblDescription.TextAlign = CType(resources.GetObject("LblDescription.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.LblDescription, resources.GetString("LblDescription.ToolTip"))
        Me.LblDescription.Visible = CType(resources.GetObject("LblDescription.Visible"), Boolean)
        '
        'CmbFonts
        '
        Me.CmbFonts.AccessibleDescription = resources.GetString("CmbFonts.AccessibleDescription")
        Me.CmbFonts.AccessibleName = resources.GetString("CmbFonts.AccessibleName")
        Me.CmbFonts.Anchor = CType(resources.GetObject("CmbFonts.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.CmbFonts.BackgroundImage = CType(resources.GetObject("CmbFonts.BackgroundImage"), System.Drawing.Image)
        Me.CmbFonts.Dock = CType(resources.GetObject("CmbFonts.Dock"), System.Windows.Forms.DockStyle)
        Me.CmbFonts.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.CmbFonts.Enabled = CType(resources.GetObject("CmbFonts.Enabled"), Boolean)
        Me.CmbFonts.Font = CType(resources.GetObject("CmbFonts.Font"), System.Drawing.Font)
        Me.CmbFonts.ImeMode = CType(resources.GetObject("CmbFonts.ImeMode"), System.Windows.Forms.ImeMode)
        Me.CmbFonts.IntegralHeight = CType(resources.GetObject("CmbFonts.IntegralHeight"), Boolean)
        Me.CmbFonts.ItemHeight = CType(resources.GetObject("CmbFonts.ItemHeight"), Integer)
        Me.CmbFonts.Location = CType(resources.GetObject("CmbFonts.Location"), System.Drawing.Point)
        Me.CmbFonts.MaxDropDownItems = CType(resources.GetObject("CmbFonts.MaxDropDownItems"), Integer)
        Me.CmbFonts.MaxLength = CType(resources.GetObject("CmbFonts.MaxLength"), Integer)
        Me.CmbFonts.Name = "CmbFonts"
        Me.CmbFonts.RightToLeft = CType(resources.GetObject("CmbFonts.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.CmbFonts.Size = CType(resources.GetObject("CmbFonts.Size"), System.Drawing.Size)
        Me.CmbFonts.Sorted = True
        Me.CmbFonts.TabIndex = CType(resources.GetObject("CmbFonts.TabIndex"), Integer)
        Me.CmbFonts.Text = resources.GetString("CmbFonts.Text")
        Me.ToolTips.SetToolTip(Me.CmbFonts, resources.GetString("CmbFonts.ToolTip"))
        Me.CmbFonts.Visible = CType(resources.GetObject("CmbFonts.Visible"), Boolean)
        '
        'GrbSelected
        '
        Me.GrbSelected.AccessibleDescription = resources.GetString("GrbSelected.AccessibleDescription")
        Me.GrbSelected.AccessibleName = resources.GetString("GrbSelected.AccessibleName")
        Me.GrbSelected.Anchor = CType(resources.GetObject("GrbSelected.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.GrbSelected.BackgroundImage = CType(resources.GetObject("GrbSelected.BackgroundImage"), System.Drawing.Image)
        Me.GrbSelected.Controls.Add(Me.BttClipboard)
        Me.GrbSelected.Controls.Add(Me.TxtChars)
        Me.GrbSelected.Dock = CType(resources.GetObject("GrbSelected.Dock"), System.Windows.Forms.DockStyle)
        Me.GrbSelected.Enabled = CType(resources.GetObject("GrbSelected.Enabled"), Boolean)
        Me.GrbSelected.Font = CType(resources.GetObject("GrbSelected.Font"), System.Drawing.Font)
        Me.GrbSelected.ImeMode = CType(resources.GetObject("GrbSelected.ImeMode"), System.Windows.Forms.ImeMode)
        Me.GrbSelected.Location = CType(resources.GetObject("GrbSelected.Location"), System.Drawing.Point)
        Me.GrbSelected.Name = "GrbSelected"
        Me.GrbSelected.RightToLeft = CType(resources.GetObject("GrbSelected.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.GrbSelected.Size = CType(resources.GetObject("GrbSelected.Size"), System.Drawing.Size)
        Me.GrbSelected.TabIndex = CType(resources.GetObject("GrbSelected.TabIndex"), Integer)
        Me.GrbSelected.TabStop = False
        Me.GrbSelected.Text = resources.GetString("GrbSelected.Text")
        Me.ToolTips.SetToolTip(Me.GrbSelected, resources.GetString("GrbSelected.ToolTip"))
        Me.GrbSelected.Visible = CType(resources.GetObject("GrbSelected.Visible"), Boolean)
        '
        'BttClipboard
        '
        Me.BttClipboard.AccessibleDescription = resources.GetString("BttClipboard.AccessibleDescription")
        Me.BttClipboard.AccessibleName = resources.GetString("BttClipboard.AccessibleName")
        Me.BttClipboard.Anchor = CType(resources.GetObject("BttClipboard.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.BttClipboard.BackgroundImage = CType(resources.GetObject("BttClipboard.BackgroundImage"), System.Drawing.Image)
        Me.BttClipboard.Dock = CType(resources.GetObject("BttClipboard.Dock"), System.Windows.Forms.DockStyle)
        Me.BttClipboard.Enabled = CType(resources.GetObject("BttClipboard.Enabled"), Boolean)
        Me.BttClipboard.FlatStyle = CType(resources.GetObject("BttClipboard.FlatStyle"), System.Windows.Forms.FlatStyle)
        Me.BttClipboard.Font = CType(resources.GetObject("BttClipboard.Font"), System.Drawing.Font)
        Me.BttClipboard.Image = CType(resources.GetObject("BttClipboard.Image"), System.Drawing.Image)
        Me.BttClipboard.ImageAlign = CType(resources.GetObject("BttClipboard.ImageAlign"), System.Drawing.ContentAlignment)
        Me.BttClipboard.ImageIndex = CType(resources.GetObject("BttClipboard.ImageIndex"), Integer)
        Me.BttClipboard.ImeMode = CType(resources.GetObject("BttClipboard.ImeMode"), System.Windows.Forms.ImeMode)
        Me.BttClipboard.Location = CType(resources.GetObject("BttClipboard.Location"), System.Drawing.Point)
        Me.BttClipboard.Name = "BttClipboard"
        Me.BttClipboard.RightToLeft = CType(resources.GetObject("BttClipboard.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.BttClipboard.Size = CType(resources.GetObject("BttClipboard.Size"), System.Drawing.Size)
        Me.BttClipboard.TabIndex = CType(resources.GetObject("BttClipboard.TabIndex"), Integer)
        Me.BttClipboard.Text = resources.GetString("BttClipboard.Text")
        Me.BttClipboard.TextAlign = CType(resources.GetObject("BttClipboard.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.BttClipboard, resources.GetString("BttClipboard.ToolTip"))
        Me.BttClipboard.Visible = CType(resources.GetObject("BttClipboard.Visible"), Boolean)
        '
        'TxtChars
        '
        Me.TxtChars.AccessibleDescription = resources.GetString("TxtChars.AccessibleDescription")
        Me.TxtChars.AccessibleName = resources.GetString("TxtChars.AccessibleName")
        Me.TxtChars.Anchor = CType(resources.GetObject("TxtChars.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.TxtChars.AutoSize = CType(resources.GetObject("TxtChars.AutoSize"), Boolean)
        Me.TxtChars.BackgroundImage = CType(resources.GetObject("TxtChars.BackgroundImage"), System.Drawing.Image)
        Me.TxtChars.Dock = CType(resources.GetObject("TxtChars.Dock"), System.Windows.Forms.DockStyle)
        Me.TxtChars.Enabled = CType(resources.GetObject("TxtChars.Enabled"), Boolean)
        Me.TxtChars.Font = CType(resources.GetObject("TxtChars.Font"), System.Drawing.Font)
        Me.TxtChars.ImeMode = CType(resources.GetObject("TxtChars.ImeMode"), System.Windows.Forms.ImeMode)
        Me.TxtChars.Location = CType(resources.GetObject("TxtChars.Location"), System.Drawing.Point)
        Me.TxtChars.MaxLength = CType(resources.GetObject("TxtChars.MaxLength"), Integer)
        Me.TxtChars.Multiline = CType(resources.GetObject("TxtChars.Multiline"), Boolean)
        Me.TxtChars.Name = "TxtChars"
        Me.TxtChars.PasswordChar = CType(resources.GetObject("TxtChars.PasswordChar"), Char)
        Me.TxtChars.RightToLeft = CType(resources.GetObject("TxtChars.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.TxtChars.ScrollBars = CType(resources.GetObject("TxtChars.ScrollBars"), System.Windows.Forms.ScrollBars)
        Me.TxtChars.Size = CType(resources.GetObject("TxtChars.Size"), System.Drawing.Size)
        Me.TxtChars.TabIndex = CType(resources.GetObject("TxtChars.TabIndex"), Integer)
        Me.TxtChars.Text = resources.GetString("TxtChars.Text")
        Me.TxtChars.TextAlign = CType(resources.GetObject("TxtChars.TextAlign"), System.Windows.Forms.HorizontalAlignment)
        Me.ToolTips.SetToolTip(Me.TxtChars, resources.GetString("TxtChars.ToolTip"))
        Me.TxtChars.Visible = CType(resources.GetObject("TxtChars.Visible"), Boolean)
        Me.TxtChars.WordWrap = CType(resources.GetObject("TxtChars.WordWrap"), Boolean)
        '
        'BttFont
        '
        Me.BttFont.AccessibleDescription = resources.GetString("BttFont.AccessibleDescription")
        Me.BttFont.AccessibleName = resources.GetString("BttFont.AccessibleName")
        Me.BttFont.Anchor = CType(resources.GetObject("BttFont.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.BttFont.BackgroundImage = CType(resources.GetObject("BttFont.BackgroundImage"), System.Drawing.Image)
        Me.BttFont.Dock = CType(resources.GetObject("BttFont.Dock"), System.Windows.Forms.DockStyle)
        Me.BttFont.Enabled = CType(resources.GetObject("BttFont.Enabled"), Boolean)
        Me.BttFont.FlatStyle = CType(resources.GetObject("BttFont.FlatStyle"), System.Windows.Forms.FlatStyle)
        Me.BttFont.Font = CType(resources.GetObject("BttFont.Font"), System.Drawing.Font)
        Me.BttFont.Image = CType(resources.GetObject("BttFont.Image"), System.Drawing.Image)
        Me.BttFont.ImageAlign = CType(resources.GetObject("BttFont.ImageAlign"), System.Drawing.ContentAlignment)
        Me.BttFont.ImageIndex = CType(resources.GetObject("BttFont.ImageIndex"), Integer)
        Me.BttFont.ImeMode = CType(resources.GetObject("BttFont.ImeMode"), System.Windows.Forms.ImeMode)
        Me.BttFont.Location = CType(resources.GetObject("BttFont.Location"), System.Drawing.Point)
        Me.BttFont.Name = "BttFont"
        Me.BttFont.RightToLeft = CType(resources.GetObject("BttFont.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.BttFont.Size = CType(resources.GetObject("BttFont.Size"), System.Drawing.Size)
        Me.BttFont.TabIndex = CType(resources.GetObject("BttFont.TabIndex"), Integer)
        Me.BttFont.Text = resources.GetString("BttFont.Text")
        Me.BttFont.TextAlign = CType(resources.GetObject("BttFont.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.BttFont, resources.GetString("BttFont.ToolTip"))
        Me.BttFont.Visible = CType(resources.GetObject("BttFont.Visible"), Boolean)
        '
        'Status
        '
        Me.Status.AccessibleDescription = resources.GetString("Status.AccessibleDescription")
        Me.Status.AccessibleName = resources.GetString("Status.AccessibleName")
        Me.Status.Anchor = CType(resources.GetObject("Status.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.Status.BackgroundImage = CType(resources.GetObject("Status.BackgroundImage"), System.Drawing.Image)
        Me.Status.Dock = CType(resources.GetObject("Status.Dock"), System.Windows.Forms.DockStyle)
        Me.Status.Enabled = CType(resources.GetObject("Status.Enabled"), Boolean)
        Me.Status.Font = CType(resources.GetObject("Status.Font"), System.Drawing.Font)
        Me.Status.ImeMode = CType(resources.GetObject("Status.ImeMode"), System.Windows.Forms.ImeMode)
        Me.Status.Location = CType(resources.GetObject("Status.Location"), System.Drawing.Point)
        Me.Status.Name = "Status"
        Me.Status.RightToLeft = CType(resources.GetObject("Status.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.Status.Size = CType(resources.GetObject("Status.Size"), System.Drawing.Size)
        Me.Status.TabIndex = CType(resources.GetObject("Status.TabIndex"), Integer)
        Me.Status.Text = resources.GetString("Status.Text")
        Me.ToolTips.SetToolTip(Me.Status, resources.GetString("Status.ToolTip"))
        Me.Status.Visible = CType(resources.GetObject("Status.Visible"), Boolean)
        '
        'GrbJump
        '
        Me.GrbJump.AccessibleDescription = resources.GetString("GrbJump.AccessibleDescription")
        Me.GrbJump.AccessibleName = resources.GetString("GrbJump.AccessibleName")
        Me.GrbJump.Anchor = CType(resources.GetObject("GrbJump.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.GrbJump.BackgroundImage = CType(resources.GetObject("GrbJump.BackgroundImage"), System.Drawing.Image)
        Me.GrbJump.Controls.Add(Me.RadDec)
        Me.GrbJump.Controls.Add(Me.RadHex)
        Me.GrbJump.Controls.Add(Me.TxtJump)
        Me.GrbJump.Dock = CType(resources.GetObject("GrbJump.Dock"), System.Windows.Forms.DockStyle)
        Me.GrbJump.Enabled = CType(resources.GetObject("GrbJump.Enabled"), Boolean)
        Me.GrbJump.Font = CType(resources.GetObject("GrbJump.Font"), System.Drawing.Font)
        Me.GrbJump.ImeMode = CType(resources.GetObject("GrbJump.ImeMode"), System.Windows.Forms.ImeMode)
        Me.GrbJump.Location = CType(resources.GetObject("GrbJump.Location"), System.Drawing.Point)
        Me.GrbJump.Name = "GrbJump"
        Me.GrbJump.RightToLeft = CType(resources.GetObject("GrbJump.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.GrbJump.Size = CType(resources.GetObject("GrbJump.Size"), System.Drawing.Size)
        Me.GrbJump.TabIndex = CType(resources.GetObject("GrbJump.TabIndex"), Integer)
        Me.GrbJump.TabStop = False
        Me.GrbJump.Text = resources.GetString("GrbJump.Text")
        Me.ToolTips.SetToolTip(Me.GrbJump, resources.GetString("GrbJump.ToolTip"))
        Me.GrbJump.Visible = CType(resources.GetObject("GrbJump.Visible"), Boolean)
        '
        'RadDec
        '
        Me.RadDec.AccessibleDescription = resources.GetString("RadDec.AccessibleDescription")
        Me.RadDec.AccessibleName = resources.GetString("RadDec.AccessibleName")
        Me.RadDec.Anchor = CType(resources.GetObject("RadDec.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.RadDec.Appearance = CType(resources.GetObject("RadDec.Appearance"), System.Windows.Forms.Appearance)
        Me.RadDec.BackgroundImage = CType(resources.GetObject("RadDec.BackgroundImage"), System.Drawing.Image)
        Me.RadDec.CheckAlign = CType(resources.GetObject("RadDec.CheckAlign"), System.Drawing.ContentAlignment)
        Me.RadDec.Dock = CType(resources.GetObject("RadDec.Dock"), System.Windows.Forms.DockStyle)
        Me.RadDec.Enabled = CType(resources.GetObject("RadDec.Enabled"), Boolean)
        Me.RadDec.FlatStyle = CType(resources.GetObject("RadDec.FlatStyle"), System.Windows.Forms.FlatStyle)
        Me.RadDec.Font = CType(resources.GetObject("RadDec.Font"), System.Drawing.Font)
        Me.RadDec.Image = CType(resources.GetObject("RadDec.Image"), System.Drawing.Image)
        Me.RadDec.ImageAlign = CType(resources.GetObject("RadDec.ImageAlign"), System.Drawing.ContentAlignment)
        Me.RadDec.ImageIndex = CType(resources.GetObject("RadDec.ImageIndex"), Integer)
        Me.RadDec.ImeMode = CType(resources.GetObject("RadDec.ImeMode"), System.Windows.Forms.ImeMode)
        Me.RadDec.Location = CType(resources.GetObject("RadDec.Location"), System.Drawing.Point)
        Me.RadDec.Name = "RadDec"
        Me.RadDec.RightToLeft = CType(resources.GetObject("RadDec.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.RadDec.Size = CType(resources.GetObject("RadDec.Size"), System.Drawing.Size)
        Me.RadDec.TabIndex = CType(resources.GetObject("RadDec.TabIndex"), Integer)
        Me.RadDec.Text = resources.GetString("RadDec.Text")
        Me.RadDec.TextAlign = CType(resources.GetObject("RadDec.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.RadDec, resources.GetString("RadDec.ToolTip"))
        Me.RadDec.Visible = CType(resources.GetObject("RadDec.Visible"), Boolean)
        '
        'RadHex
        '
        Me.RadHex.AccessibleDescription = resources.GetString("RadHex.AccessibleDescription")
        Me.RadHex.AccessibleName = resources.GetString("RadHex.AccessibleName")
        Me.RadHex.Anchor = CType(resources.GetObject("RadHex.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.RadHex.Appearance = CType(resources.GetObject("RadHex.Appearance"), System.Windows.Forms.Appearance)
        Me.RadHex.BackgroundImage = CType(resources.GetObject("RadHex.BackgroundImage"), System.Drawing.Image)
        Me.RadHex.CheckAlign = CType(resources.GetObject("RadHex.CheckAlign"), System.Drawing.ContentAlignment)
        Me.RadHex.Checked = True
        Me.RadHex.Dock = CType(resources.GetObject("RadHex.Dock"), System.Windows.Forms.DockStyle)
        Me.RadHex.Enabled = CType(resources.GetObject("RadHex.Enabled"), Boolean)
        Me.RadHex.FlatStyle = CType(resources.GetObject("RadHex.FlatStyle"), System.Windows.Forms.FlatStyle)
        Me.RadHex.Font = CType(resources.GetObject("RadHex.Font"), System.Drawing.Font)
        Me.RadHex.Image = CType(resources.GetObject("RadHex.Image"), System.Drawing.Image)
        Me.RadHex.ImageAlign = CType(resources.GetObject("RadHex.ImageAlign"), System.Drawing.ContentAlignment)
        Me.RadHex.ImageIndex = CType(resources.GetObject("RadHex.ImageIndex"), Integer)
        Me.RadHex.ImeMode = CType(resources.GetObject("RadHex.ImeMode"), System.Windows.Forms.ImeMode)
        Me.RadHex.Location = CType(resources.GetObject("RadHex.Location"), System.Drawing.Point)
        Me.RadHex.Name = "RadHex"
        Me.RadHex.RightToLeft = CType(resources.GetObject("RadHex.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.RadHex.Size = CType(resources.GetObject("RadHex.Size"), System.Drawing.Size)
        Me.RadHex.TabIndex = CType(resources.GetObject("RadHex.TabIndex"), Integer)
        Me.RadHex.TabStop = True
        Me.RadHex.Text = resources.GetString("RadHex.Text")
        Me.RadHex.TextAlign = CType(resources.GetObject("RadHex.TextAlign"), System.Drawing.ContentAlignment)
        Me.ToolTips.SetToolTip(Me.RadHex, resources.GetString("RadHex.ToolTip"))
        Me.RadHex.Visible = CType(resources.GetObject("RadHex.Visible"), Boolean)
        '
        'TxtJump
        '
        Me.TxtJump.AccessibleDescription = resources.GetString("TxtJump.AccessibleDescription")
        Me.TxtJump.AccessibleName = resources.GetString("TxtJump.AccessibleName")
        Me.TxtJump.Anchor = CType(resources.GetObject("TxtJump.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.TxtJump.AutoSize = CType(resources.GetObject("TxtJump.AutoSize"), Boolean)
        Me.TxtJump.BackgroundImage = CType(resources.GetObject("TxtJump.BackgroundImage"), System.Drawing.Image)
        Me.TxtJump.Dock = CType(resources.GetObject("TxtJump.Dock"), System.Windows.Forms.DockStyle)
        Me.TxtJump.Enabled = CType(resources.GetObject("TxtJump.Enabled"), Boolean)
        Me.TxtJump.Font = CType(resources.GetObject("TxtJump.Font"), System.Drawing.Font)
        Me.TxtJump.ImeMode = CType(resources.GetObject("TxtJump.ImeMode"), System.Windows.Forms.ImeMode)
        Me.TxtJump.Location = CType(resources.GetObject("TxtJump.Location"), System.Drawing.Point)
        Me.TxtJump.MaxLength = CType(resources.GetObject("TxtJump.MaxLength"), Integer)
        Me.TxtJump.Multiline = CType(resources.GetObject("TxtJump.Multiline"), Boolean)
        Me.TxtJump.Name = "TxtJump"
        Me.TxtJump.PasswordChar = CType(resources.GetObject("TxtJump.PasswordChar"), Char)
        Me.TxtJump.RightToLeft = CType(resources.GetObject("TxtJump.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.TxtJump.ScrollBars = CType(resources.GetObject("TxtJump.ScrollBars"), System.Windows.Forms.ScrollBars)
        Me.TxtJump.Size = CType(resources.GetObject("TxtJump.Size"), System.Drawing.Size)
        Me.TxtJump.TabIndex = CType(resources.GetObject("TxtJump.TabIndex"), Integer)
        Me.TxtJump.Text = resources.GetString("TxtJump.Text")
        Me.TxtJump.TextAlign = CType(resources.GetObject("TxtJump.TextAlign"), System.Windows.Forms.HorizontalAlignment)
        Me.ToolTips.SetToolTip(Me.TxtJump, resources.GetString("TxtJump.ToolTip"))
        Me.TxtJump.Visible = CType(resources.GetObject("TxtJump.Visible"), Boolean)
        Me.TxtJump.WordWrap = CType(resources.GetObject("TxtJump.WordWrap"), Boolean)
        '
        'LstBlocks
        '
        Me.LstBlocks.AccessibleDescription = resources.GetString("LstBlocks.AccessibleDescription")
        Me.LstBlocks.AccessibleName = resources.GetString("LstBlocks.AccessibleName")
        Me.LstBlocks.Anchor = CType(resources.GetObject("LstBlocks.Anchor"), System.Windows.Forms.AnchorStyles)
        Me.LstBlocks.BackgroundImage = CType(resources.GetObject("LstBlocks.BackgroundImage"), System.Drawing.Image)
        Me.LstBlocks.ColumnWidth = CType(resources.GetObject("LstBlocks.ColumnWidth"), Integer)
        Me.LstBlocks.Dock = CType(resources.GetObject("LstBlocks.Dock"), System.Windows.Forms.DockStyle)
        Me.LstBlocks.Enabled = CType(resources.GetObject("LstBlocks.Enabled"), Boolean)
        Me.LstBlocks.Font = CType(resources.GetObject("LstBlocks.Font"), System.Drawing.Font)
        Me.LstBlocks.HorizontalExtent = CType(resources.GetObject("LstBlocks.HorizontalExtent"), Integer)
        Me.LstBlocks.HorizontalScrollbar = CType(resources.GetObject("LstBlocks.HorizontalScrollbar"), Boolean)
        Me.LstBlocks.ImeMode = CType(resources.GetObject("LstBlocks.ImeMode"), System.Windows.Forms.ImeMode)
        Me.LstBlocks.IntegralHeight = CType(resources.GetObject("LstBlocks.IntegralHeight"), Boolean)
        Me.LstBlocks.ItemHeight = CType(resources.GetObject("LstBlocks.ItemHeight"), Integer)
        Me.LstBlocks.Location = CType(resources.GetObject("LstBlocks.Location"), System.Drawing.Point)
        Me.LstBlocks.Name = "LstBlocks"
        Me.LstBlocks.RightToLeft = CType(resources.GetObject("LstBlocks.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.LstBlocks.ScrollAlwaysVisible = CType(resources.GetObject("LstBlocks.ScrollAlwaysVisible"), Boolean)
        Me.LstBlocks.Size = CType(resources.GetObject("LstBlocks.Size"), System.Drawing.Size)
        Me.LstBlocks.TabIndex = CType(resources.GetObject("LstBlocks.TabIndex"), Integer)
        Me.ToolTips.SetToolTip(Me.LstBlocks, resources.GetString("LstBlocks.ToolTip"))
        Me.LstBlocks.Visible = CType(resources.GetObject("LstBlocks.Visible"), Boolean)
        '
        'DlgMain
        '
        Me.AccessibleDescription = resources.GetString("$this.AccessibleDescription")
        Me.AccessibleName = resources.GetString("$this.AccessibleName")
        Me.AutoScaleBaseSize = CType(resources.GetObject("$this.AutoScaleBaseSize"), System.Drawing.Size)
        Me.AutoScroll = CType(resources.GetObject("$this.AutoScroll"), Boolean)
        Me.AutoScrollMargin = CType(resources.GetObject("$this.AutoScrollMargin"), System.Drawing.Size)
        Me.AutoScrollMinSize = CType(resources.GetObject("$this.AutoScrollMinSize"), System.Drawing.Size)
        Me.BackgroundImage = CType(resources.GetObject("$this.BackgroundImage"), System.Drawing.Image)
        Me.ClientSize = CType(resources.GetObject("$this.ClientSize"), System.Drawing.Size)
        Me.Controls.Add(Me.LstBlocks)
        Me.Controls.Add(Me.GrbJump)
        Me.Controls.Add(Me.Status)
        Me.Controls.Add(Me.BttFont)
        Me.Controls.Add(Me.GrbSelected)
        Me.Controls.Add(Me.CmbFonts)
        Me.Controls.Add(Me.TbcChars)
        Me.Enabled = CType(resources.GetObject("$this.Enabled"), Boolean)
        Me.Font = CType(resources.GetObject("$this.Font"), System.Drawing.Font)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.ImeMode = CType(resources.GetObject("$this.ImeMode"), System.Windows.Forms.ImeMode)
        Me.Location = CType(resources.GetObject("$this.Location"), System.Drawing.Point)
        Me.MaximizeBox = False
        Me.MaximumSize = CType(resources.GetObject("$this.MaximumSize"), System.Drawing.Size)
        Me.MinimumSize = CType(resources.GetObject("$this.MinimumSize"), System.Drawing.Size)
        Me.Name = "DlgMain"
        Me.RightToLeft = CType(resources.GetObject("$this.RightToLeft"), System.Windows.Forms.RightToLeft)
        Me.StartPosition = CType(resources.GetObject("$this.StartPosition"), System.Windows.Forms.FormStartPosition)
        Me.Text = resources.GetString("$this.Text")
        Me.ToolTips.SetToolTip(Me, resources.GetString("$this.ToolTip"))
        Me.TbcChars.ResumeLayout(False)
        Me.TabChart.ResumeLayout(False)
        Me.TabDetails.ResumeLayout(False)
        Me.GrbSelected.ResumeLayout(False)
        Me.GrbJump.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private Sub DlgMain_Load(ByVal Sender As Object, ByVal E As EventArgs) Handles MyBase.Load
        ' init fonts '

        Dim Fonts As New Drawing.Text.InstalledFontCollection

        CmbFonts.Sorted = False

        For Each F As FontFamily In Fonts.Families
            CmbFonts.Items.Add(F.GetName(1033))
        Next

        CmbFonts.Sorted = True

        _PatronFont = New Font("Lucida Sans Unicode", 14, FontStyle.Regular, GraphicsUnit.Pixel)
        CharChart.Font = _PatronFont
        TxtChars.Font = New Font( _
            "Lucida Sans Unicode", _
            10, FontStyle.Regular, GraphicsUnit.Pixel _
        )

        CmbFonts.SelectedItem = "Lucida Sans Unicode"

        ' load XML blocks data and character information '

        BlocksData.I.Load("Blocks.xml")
        CharacterData.I.Load("Unicode.dat")
        LstBlocks.Items.Clear()

        For Each Block As String In BlocksData.I
            LstBlocks.Items.Add(Block)
        Next

        LstBlocks.SelectedIndex = 0

        ' initialize tool tip texts '

        ToolTips.SetToolTip(BttFont, "Adjust display font settings")
        ToolTips.SetToolTip(BttClipboard, "Copy selected characters to clipboard")
        ToolTips.SetToolTip(LnkCharCode, "Copy character code to clipboard")
        ToolTips.SetToolTip(LnkHTML, "Copy to clipboard as HTML entity")
        ToolTips.SetToolTip(CharChart, "Double click to add character to paste text")
    End Sub

    Private Sub CharChart_CharInvoke(ByVal Value As Char) Handles CharChart.CharInvoke
        TxtChars.Text &= Value
    End Sub

    Private Sub BttClipboard_Click(ByVal Sender As Object, ByVal E As EventArgs) Handles BttClipboard.Click
        Clipboard.SetDataObject(TxtChars.Text, True)
    End Sub

    Private Sub CmbFonts_SelectedIndexChanged(ByVal Sender As Object, ByVal E As EventArgs) Handles CmbFonts.SelectedIndexChanged
        Try
            CharChart.Font = New Font( _
                CStr(CmbFonts.SelectedItem), _
                _PatronFont.Size, _
                _PatronFont.Style, _
                GraphicsUnit.Pixel _
            )
            TxtChars.Font = New Font( _
                CStr(CmbFonts.SelectedItem), _
                10, FontStyle.Regular, GraphicsUnit.Pixel _
            )
        Finally
        End Try
    End Sub

    Private Sub BttFont_Click(ByVal Sender As Object, ByVal E As EventArgs) Handles BttFont.Click
        FntDialog.Font = _PatronFont
        Dim Result As DialogResult = FntDialog.ShowDialog()

        If Result = DialogResult.OK Then
            _PatronFont.Dispose()
            _PatronFont = FntDialog.Font
            CharChart.Font = _PatronFont
            TxtChars.Font = New Font( _
                _PatronFont.FontFamily.GetName(1033), _
                10, FontStyle.Regular, GraphicsUnit.Pixel _
            )
        End If
    End Sub

    Private Sub CharChart_SelChanged(ByVal NewChar As Char) Handles CharChart.SelChanged
        Dim CurrBlock As String = CStr(LstBlocks.SelectedItem)
        Dim CurrChar As Integer = AscW(NewChar)

        If CharacterData.I.Init Then
            Status.Text = "U+" & Hex(CurrChar).PadLeft(4, "0"c) & _
                          ": " & CharacterData.I.ReadInfo(CurrChar)
        End If

        If BlocksData.I.Init Then
            If CurrChar < BlocksData.I.FirstChar(CurrBlock) OrElse _
                CurrChar > BlocksData.I.LastChar(CurrBlock) _
            Then
                For Each Block As String In BlocksData.I
                    If BlocksData.I.FirstChar(Block) <= CurrChar AndAlso _
                        BlocksData.I.LastChar(Block) >= CurrChar _
                    Then
                        _SuspendChange = True
                        LstBlocks.SelectedItem = Block
                        Exit For
                    End If
                Next
            End If
        End If
    End Sub

    Private Sub TxtJump_KeyUp(ByVal Sender As Object, ByVal E As KeyEventArgs) Handles TxtJump.KeyUp
        If E.KeyCode = Keys.[Return] Then
            Dim NewChar As Char

            Try
                If RadDec.Checked Then
                    NewChar = ChrW(Integer.Parse(TxtJump.Text, Globalization.NumberStyles.[Integer]))
                Else
                    NewChar = ChrW(Integer.Parse(TxtJump.Text, Globalization.NumberStyles.HexNumber))
                End If

                CharChart.SelChar = NewChar
            Finally
            End Try
        End If
    End Sub

    Private Sub LstBlocks_SelectedIndexChanged(ByVal Sender As Object, ByVal E As EventArgs) Handles LstBlocks.SelectedIndexChanged
        If Not _SuspendChange Then
            CharChart.SelChar = ChrW(BlocksData.I.FirstChar(CStr(LstBlocks.SelectedItem)))
        Else
            _SuspendChange = False
        End If
    End Sub

    Private Sub TabDetails_Paint(ByVal Sender As Object, ByVal E As PaintEventArgs) Handles TabDetails.Paint
        Dim BigFont As New Font(_PatronFont.FontFamily.GetName(1033), 80, FontStyle.Regular, GraphicsUnit.Pixel)

        E.Graphics.TextRenderingHint = Drawing.Text.TextRenderingHint.AntiAlias
        E.Graphics.DrawString(CharChart.SelChar, BigFont, Brushes.Black, 10, 10)

        BigFont.Dispose()
    End Sub

    Private Sub TbcChars_SelectedIndexChanged(ByVal Sender As Object, ByVal E As EventArgs) Handles TbcChars.SelectedIndexChanged
        If TbcChars.SelectedTab.Text = "Details" Then
            Dim CurrChar As Integer = AscW(CharChart.SelChar)

            LnkCharCode.Text = Hex(CurrChar).PadLeft(4, "0"c)
            LnkHTML.Text = "&#x" & Hex(CurrChar) & ";"
            LblDescription.Text = "U+" & Hex(CurrChar).PadLeft(4, "0"c) & _
                          ": " & CharacterData.I.ReadInfo(CurrChar)
        End If
    End Sub

    Private Sub LnkCharCode_LinkClicked(ByVal Sender As Object, ByVal E As LinkLabelLinkClickedEventArgs) Handles LnkCharCode.LinkClicked
        Clipboard.SetDataObject(LnkCharCode.Text)
    End Sub

    Private Sub LnkHTML_LinkClicked(ByVal Sender As Object, ByVal E As LinkLabelLinkClickedEventArgs) Handles LnkHTML.LinkClicked
        Clipboard.SetDataObject(LnkHTML.Text)
    End Sub

End Class